#!/bin/sh

# directories
cd $HOME
mkdir bin misc tmp Projects Gits

# ProbeStar stuff
mkdir -p ProbeStar
cd ProbeStar
for i in Cnomicon Cybersecurity KnowledgeBase linux_tools pi_tools Pynomicon Radio Robotics Software windows_tools
do
  echo "ProbeStar: $i"
  if [ -d $i ]; then
    rm -rf $i
  fi
  git clone https://github.com/nprobert/$i
  cd ..
  ln -fs ProbeStar/$i
  cd ProbeStar
done
rm -rf CyberSecurity Database
cd $HOME
cp linux_tools/bin/* ~/bin

# NTCNA stuff
cd $HOME
mkdir NTCNA
cd NTCNA
for i in CInfrastructure CVehicle PyVehicle RosVehicle
do
  echo "NTCNA: $i"
  if [ -d $i ]; then
    rm -rf $i
  fi
  git clone https://github.com/nprobert/$i
done
cd $HOME
for i in CInfrastructure CVehicle NissanV2X PyVehicle ProberN RosVehicle
do
  ln -fs NTCNA/$i $i
done

exit 0
